Package org.eclipse.emf.cdo.common.commit

# Interface CDOCommitInfoManager

All Superinterfaces:
  `CDOCommitHistory.Provider<CDOBranch,CDOCommitHistory>`, `CDOCommitInfoProvider`

All Known Subinterfaces:
  `InternalCDOCommitInfoManager`

public interface CDOCommitInfoManager extends CDOCommitInfoProvider, CDOCommitHistory.Provider<CDOBranch,CDOCommitHistory>
Provides access to `commit info` objects.

Since:
  3.0
Author:
  Andre Dietisheim
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`CDOCommitInfo`
`getBaseOfBranch(CDOBranch branch)`
`CDOCommitInfo`
`getCommitInfo(long timeStamp)`
`CDOCommitInfo`
`getCommitInfo(long timeStamp, boolean loadOnDemand)`
`CDOCommitInfo`
`getCommitInfo(CDOBranch branch, long startTime, boolean up)`
`void`
`getCommitInfos(CDOBranch branch, long startTime, long endTime, CDOCommitInfoHandler handler)`
`void`
`getCommitInfos(CDOBranch branch, long startTime, String reserved1, String reserved2, int count, CDOCommitInfoHandler handler)`
`CDOCommitInfo`
`getFirstOfBranch(CDOBranch branch)`
`long`
`getLastCommit()`
`long`
`getLastCommitOfBranch(CDOBranch branch, boolean loadOnDemand)`
`CDOCommitInfo`
`getLastOfBranch(CDOBranch branch)`
`CDOCommonRepository`
`getRepository()`

### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOCommitHistory.Provider

`getHistory, getHistory`

### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOCommitInfoProvider

`addCommitInfoHandler, getCommitInfoHandlers, removeCommitInfoHandler`

## Method Details

### getRepository

CDOCommonRepository getRepository()

Since:
  4.2

### getCommitInfo

CDOCommitInfo getCommitInfo(long timeStamp)

Since:
  4.0

### getCommitInfo

CDOCommitInfo getCommitInfo(long timeStamp, boolean loadOnDemand)

Since:
  4.6

### getCommitInfo

CDOCommitInfo getCommitInfo(CDOBranch branch, long startTime, boolean up)

Since:
  4.2

### getCommitInfos

void getCommitInfos(CDOBranch branch, long startTime, long endTime, CDOCommitInfoHandler handler)

### getCommitInfos

void getCommitInfos(CDOBranch branch, long startTime, String reserved1, String reserved2, int count, CDOCommitInfoHandler handler)

Since:
  4.0

### getBaseOfBranch

CDOCommitInfo getBaseOfBranch(CDOBranch branch)

Since:
  4.2

### getFirstOfBranch

CDOCommitInfo getFirstOfBranch(CDOBranch branch)

Since:
  4.2

### getLastOfBranch

CDOCommitInfo getLastOfBranch(CDOBranch branch)

Since:
  4.2

### getLastCommitOfBranch

long getLastCommitOfBranch(CDOBranch branch, boolean loadOnDemand)

Since:
  4.6

### getLastCommit

long getLastCommit()

Since:
  4.6